*{
    padding: 0;
    margin: 0;
    text-decoration: none;
    list-style: none;
    box-sizing: border-box;
  }
  body{
    font-family: montserrat;
  }
  nav{
    background: #ffffff;
    height: 80px;
    width: 100%;
  }
  nav ul{
    float: right;
    margin-right: 20px;
  }
  nav ul li{
    display: inline-block;
    line-height: 80px;
    margin: 0 5px;
  }
  nav ul li a{
    color: rgb(0, 0, 0);
    font-size: 17px;
    padding: 10px 30px;
    border-radius: 3px;
    font-size: 17px;
    font-weight: 100;
    font-family: 'Manrope';
  }
  .checkbtn{
    font-size: 30px;
    color: white;
    float: right;
    line-height: 80px;
    margin-right: 40px;
    cursor: pointer;
    display: none;
  }
  #check{
    display: none;
  }
  .chat {
    border-radius: 15px;
    background-color: rgb(0, 0, 0);
    color: #ffffff;
   }
   .chat:hover {
    border-radius: 15px;
    background-color: #ffffff;
    color: #000000;
    transition: 0.6s;
   }
    .logo {
      padding: auto;
      margin-top: 20px;
      margin-left: 30px;
      width: 70px;
  }
  .title h1{
    text-transform: uppercase;
    text-align: center;
    background-image: linear-gradient(
      -25deg,
      #000000 100%,
      #000000 100%,
      #000000 100%,
      rgb(201, 235, 122) 100%
    );
    background-size: auto auto;
    background-clip: border-box;
    background-size: 200% auto;
    color: #000000;
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-size: 60px;
    font-family: 'Manrope';
    margin-top: 120px;
    letter-spacing: 2px;
    line-height: 90px;
  }
  
  @keyframes textclip {
    to {
      background-position: 200% center;
    }
}
.title p {
    text-align: center;
    font-size: 20px;
    font-family: 'Manrope';
    margin-top: 30px;
}
.mockup {
  width: 1249px;
  height: 300px;
  background: #221f1f;
  margin-top: 100px;
  margin-left: 50px;
  position: absolute;
}
.mockup_div {
  width: 1149px;
  height: 300px;
  background: #a58181;
  margin-top: 0px;
  margin-left: 0px;
  
}
.mockup_bgd {
  width: 100%;
  position: absolute;
}
.mockup_img {
  width: 70%;
  top: 0px;
  margin-left: 185px;
  position: absolute;
}
.teslacontainer_2 {
    width: 1349px;
    background: #e2daf1;
    height: 1700px;
    margin-top: 850px;
  }
  .teslascreens h1 {
    color: #ffffff;
    font-size: 60px;
    font-family: 'Manrope';
    position: absolute;
    margin-top: 45px;
    margin-left: 530px;
  }
.teslascreen1 {
    width: 75%;
    margin-top: 100px;
    margin-left: 170px;
    position: absolute;
}
.teslascreen2 {
    width: 100%;
    margin-top: 600px;
    margin-left: 0px;
    position: absolute;
}
.teslascreen3 {
    width: 100%;
    margin-top: 1180px;
    margin-left: 0px;
}
.teslacontainer_4 {
    width: 1349px;
    height: 270px;
    background: #ffffff;
    margin-top: 230px;
  }
  .moreprojects h1 {
    color: #000000;
    font-family: 'Manrope';
    margin-top: 50px;
    position: absolute;
    margin-left: 560px;
  }
  .w1 {
    width: 300px;
    height: 228px;
    margin-top: 150px;
    position: absolute;
    margin-left: 100px;
    border-radius: 30px;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
    background: #e2daf1;
  }
  .w1img {
    width: 100%;
  }
  .w1overlay {
    height: 100%;
    width: 100%;
    opacity: 0;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    transition: .5s ease;
    background-color: rgba(0, 0,0, 0.6);
    border-radius: 30px;
  }
  .w1:hover .w1overlay {
    opacity: 1;
  }
  .w1h3 {
    color: #ffffff;
    font-family: 'Manrope';
    margin-left: 0px;
    font-size: 18px;
    margin-top: 20px;
    text-align: center;
    position: absolute;
    top: 30%;
    left: 17%;
  }
  .w2 {
    width: 300px;
    height: 228px;
    margin-top: 150px;
    position: absolute;
    margin-left: 520px;
    border-radius: 30px;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
    background: #330E3A;
  }
  .w2img {
    width: 100%;
  }
  .w2overlay {
    height: 100%;
    width: 100%;
    opacity: 0;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    transition: .5s ease;
    background-color: rgba(0, 0,0, 0.6);
    border-radius: 30px;
  }
  .w2:hover .w2overlay {
    opacity: 1;
  }
  .w2h3 {
    color: #ffffff;
    font-family: 'Manrope';
    font-size: 18px;
    margin-top: 20px;
    text-align: center;
    position: absolute;
    top: 30%;
    left: 11%;
  }
  .w3 {
    width: 300px;
    height: 228px;
    margin-top: 150px;
    position: absolute;
    margin-left: 950px;
    border-radius: 30px;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
    background: #44443F;
  }
  .w3img {
    width: 100%;
  }
  .w3overlay {
    height: 100%;
    width: 100%;
    opacity: 0;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    transition: .5s ease;
    background-color: rgba(0, 0,0, 0.6);
    border-radius: 30px;
  }
  .w3:hover .w3overlay {
    opacity: 1;
  }
  .w3h3 {
    color: #ffffff;
    font-family: 'Manrope';
    font-size: 18px;
    margin-top: 20px;
    text-align: center;
    position: absolute;
    top: 30%;
    left: 17%;
  }
  .copyright {
    margin-left: 35px;
    margin-top: 210px;
    font-family: 'Manrope';
    font-weight: 50px;
    font-size: 12px;
    position: absolute;
    color: #8d8888;
  }
  .behance {
    width: 34px;
    margin-top: 194px;
    margin-left: 1160px;
    margin-bottom: 50px;
    position: absolute;
  }
  .linkedIn {
    width: 32px;
    margin-top: 192px;
    margin-left: 1220px;
    position: absolute;
  }
  .instagram {
    width: 30px;
    margin-top: 193px;
    position: absolute;
    margin-left:1280px;
  }
  .footer {
    width: 1349px;
    height: 10px;
    margin-top: 240px;
  }
  @media (max-width: 858px){
    .checkbtn{
      display: block;
      color: #000000;
    }
    .logo {
      padding: auto;
      margin-top: 20px;
      margin-left: 20px;
      width: 60px;
  }
    ul{
      position: fixed;
      width: 100%;
      height: 135px;
      background: #ffffff;
      top: 100px;
      left: -100%;
      text-align: center;
      transition: all .5s;
    }
    nav ul li{
      display: inline;
      margin: 70px 0;
      line-height: 50px;
    }
    nav ul li a{
      font-size: 15px;
      color: #000000;
      font-weight: 400;
    }
    #check:checked ~ ul{
      left: 0;
    }
    .chat {
      border-radius: 15px;
      background-color: rgb(0, 0, 0);
      color: #ffffff;
     }
     .chat:hover {
      border-radius: 15px;
      background-color: #ffffff;
      color: #000000;
      transition: 0.6s;
     }
     .title h1{
      text-transform: uppercase;
      text-align: center;
      background-image: linear-gradient(
        -25deg,
        #000000 100%,
        #000000 100%,
        #000000 100%,
        rgb(201, 235, 122) 100%
      );
      background-size: auto auto;
      background-clip: border-box;
      background-size: 200% auto;
      color: #000000;
      background-clip: text;
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
      font-size: 40px;
      font-family: 'Manrope';
      margin-top: 180px;
      letter-spacing: 2px;
      line-height: 65px;
    }
    
    @keyframes textclip {
      to {
        background-position: 200% center;
      }
  }
  .title p {
      text-align: center;
      font-size: 20px;
      font-family: 'Manrope';
      margin-top: 10px;
  }
  .mockup {
    width: 320px;
    height: 100px;
    background: #221f1f;
    margin-top: 70px;
    margin-left: 20px;
    position: absolute;
  }
  .mockup_div {
    width: 320px;
    height: 100px;
    background: #a58181;
    margin-top: 0px;
    margin-left: 0px;
    
  }
  .mockup_bgd {
    width: 100%;
    position: absolute;
  }
  .mockup_img {
    width: 100%;
    top: 0px;
    margin-left: 0px;
    position: absolute;
  }
  .teslacontainer_2 {
      width: 360px;
      background: #e2daf1;
      height: 620px;
      margin-top: 350px;
    }
    .teslascreens h1 {
      color: #ffffff;
      font-size: 30px;
      font-family: 'Manrope';
      position: absolute;
      margin-top: 40px;
      margin-left: 110px;
    }
  .teslascreen1 {
      width: 100%;
      margin-top: 70px;
      margin-left: 0px;
      position: absolute;
  }
  .teslascreen2 {
      width: 100%;
      margin-top: 300px;
      margin-left: 0px;
      position: absolute;
  }
  .teslascreen3 {
      width: 100%;
      margin-top: 480px;
      margin-left: 0px;
  }
  .teslacontainer_4 {
    width: 360px;
    height: 270px;
    background: #ffffff;
    margin-top: 100px;
    }
    .moreprojects h1 {
    color: #000000;
    font-family: 'Manrope';
    margin-top: 40px;
    position: absolute;
    margin-left: 110px;
    font-size: 20px;
    }
    .w1 {
    width: 160px;
    height: 121px;
    margin-top: 100px;
    position: absolute;
    margin-left: 15px;
    border-radius: 30px;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
    background: #e2daf1;
    }
    .w1img {
    width: 100%;
    }
    .w1overlay {
    height: 100%;
    width: 100%;
    opacity: 0;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    transition: .5s ease;
    background-color: rgba(0, 0,0, 0.6);
    border-radius: 30px;
    }
    .w1:hover .w1overlay {
    opacity: 1;
    }
    .w1h3 {
    color: #ffffff;
    font-family: 'Manrope';
    margin-left: 10px;
    font-size: 13px;
    margin-top: 9px;
    text-align: center;
    position: absolute;
    top: 30%;
    left: 17%;
    }
    .w2 {
    width: 160px;
    height: 121px;
    margin-top: 100px;
    position: absolute;
    margin-left: 185px;
    border-radius: 30px;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
    background: #330E3A;
    }
    .w2img {
    width: 100%;
    }
    .w2overlay {
    height: 100%;
    width: 100%;
    opacity: 0;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    transition: .5s ease;
    background-color: rgba(0, 0,0, 0.6);
    border-radius: 30px;
    }
    .w2:hover .w2overlay {
    opacity: 1;
    }
    .w2h3 {
    color: #ffffff;
    font-family: 'Manrope';
    font-size: 13px;
    margin-top: 0px;
    text-align: center;
    position: absolute;
    top: 30%;
    left: 3%;
    }
    .w3 {
    display: none;
    }
    .w3img {
    display: none;
    }
    .w3overlay {
    display: none;
    }
    .w3:hover .w3overlay {
    opacity: 1;
    }
    .w3h3 {
    display: none;
    }
    .copyright {
      margin-left: 135px;
      margin-top: 110px;
      font-family: 'Manrope';
      font-weight: 50px;
      font-size: 10px;
      position: absolute;
      color: #b4a6a6;
    }
    .behance {
      width: 34px;
      margin-top: 54px;
      margin-left: 120px;
      margin-bottom: 50px;
      position: absolute;
    }
    .linkedIn {
      width: 32px;
      margin-top: 54px;
      margin-left: 170px;
      position: absolute;
    }
    .instagram {
      width: 32px;
      margin-top: 53px;
      position: absolute;
      margin-left:220px;
    }
    .footer {
      width: 350px;
      height: 120px;
      margin-top: 20px;
    }
      }